// $Id: Record.java,v 1.3 2002/12/14 00:17:49 mike Exp $

package org.z3950.zoom;
import com.k_int.IR.InformationFragment;

/**
 * Represents a records returned from a Z39.50 Server, as described in
 * the ZOOM Abstract API (<B>UNSTABLE</B>).
 * <P>
 * <B>THIS CLASS'S INTERFACE IS UNSTABLE PENDING DISCUSSION ON THE
 * ZOOM MAILING LIST.  DO NOT DEPEND ON IT.</B>
 *
 * @version	$Id: Record.java,v 1.3 2002/12/14 00:17:49 mike Exp $
 * @see	<A href="http://zoom.z3950.org/api/zoom-1.1.html#3.5"
 *		       >zoom.z3950.org/api/zoom-1.1.html#3.5</A>
 */
public class Record {
    InformationFragment frag;

    Record(InformationFragment frag) {
	this.frag = frag;
    }

    public String recsyn() {
	//  ###	This tells you what record-syntax was _requested_,
	//	which may not be the same thing as what the server
	//	actually returned (at least, not for ill-behaved
	//	servers).  I can't see how to get that information
	//	from an InformationFragment.  Ian, is it available?
	return frag.getFormatSpecification().getFormatName().toString();
    }

    public String render() {
	return frag.toString();
    }

    public byte[] rawdata() {
	// ### Is it possible to get this out of JZKit?
	return "sorry, rawdata() is not supported".getBytes();
    }
}
