// $Id: Test.java,v 1.6 2002/12/14 00:17:49 mike Exp $
//
// Simple test of Java binding for ZOOM.

package org.z3950.zoomtest;
import org.z3950.zoom.*;

class Test {
    public static void main (String[] args) {
	try {
	    if (args.length != 4) {
		System.err.println("Usage: Test <host> <port> <db> <PQF>");
		System.exit(1);
	    }
	    //System.out.println("Starting up");
	    Connection conn = new Connection(args[0],
		Integer.valueOf(args[1]).intValue());
	    //System.out.println("Made connection");
	    conn.option("databaseName", args[2]);
	    conn.option("preferredRecordSyntax", "sutrs");
	    conn.option("elementSetName", "B");
	    Query q = new PrefixQuery(args[3]);
	    //System.out.println("Made query");
	    ResultSet rs = conn.search(q);
	    //System.out.println("Performed search");
	    int size = rs.size();
	    System.out.println("found " + size + " records:");

	    for (int i = 0; i < size; i++) {
		Record rec = rs.getRecord(i);
		System.out.println("=== record " + (i+1) +
				   " (record syntax " + rec.recsyn() + ") " +
				   "===\n" + rec.render());
	    }

	    System.out.println("Printed all " + size + " records");
	} catch (SearchException e) {
	    System.err.println("search failed: " + e);
	} catch (Bib1Exception e) {
	    System.err.println("server diagnostic: " + e);
	}

	// ### Why does this now not exit?  Left-over threads?  What
	// threads?  I never asked for 'em!
    }
}
